Table of Contents

Class: SentQuery | Twisted-0.17.4/twisted/names/dns.py
--- | ---

Methods |
--- | ---
__init__ getAnswer processAnswer_1 processAnswer_15 removeAll timeOut
| __init__

    __init__ (
            self,
            name,
            type,
            callback,
            errback,
            boss,
            nameservers,
            )

| getAnswer

    getAnswer ( self,  message )

| processAnswer_1

    processAnswer_1 ( self,  message )

### looking for name->address resolution

choose one of the IPs at random

| processAnswer_15

    processAnswer_15 ( self,  message )

### looking for Mail eXchanger for the domain

order answers in in increasing priority, so the first MX is bad

| removeAll

    removeAll ( self )

| timeOut

    timeOut ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:00 2002 by HappyDoc version 2.0